=== debian/changelog ===
festival (1:2.5.0-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and libestools-dev.
    + festival: Drop versioned constraint on adduser and lsb-base in Depends.
    + festival-dev: Drop versioned constraint on libestools-dev in Depends.
    + festival-doc: Drop versioned constraint on doc-base in Depends.

  [ Samuel Thibault ]
  * rules: Set cross-build CC and CXX.
  * rules: Pass CC and CXX to $(MAKE).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 23:12:59 +0100

festival (1:2.5.0-7) unstable; urgency=medium

  * rules: Also force timezone to fix reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2021 19:52:07 +0200

festival (1:2.5.0-6) unstable; urgency=medium

  * rules: Drop ddeb-migration rules, now useless
  * control: Build-depend on faketime.
  * rules: Use faketime to fix date in festival.ps

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Aug 2021 16:59:25 +0200

festival (1:2.5.0-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no changes).
  * watch: Generalize pattern.
  * debian/festival.init: Set executable permissions.
  * debian/README.Debian: Simplify documentation for running the daemon.
  * Bump debhelper compat from 11 to 12.
  * control: Update alioth list domain.
  * festival.lintian-overrides: Silence lintian warning.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.4.3-23, 1.4.3-10, 1.4.3-9,
    1.4.3-8, 1.4.3-7, 1.4.3-6, 1.4.3-5, 1.4.3-4, 1.4.3-3, 1.4.3-2, 1.4.3-
    1, 1.4.3-0.2, 1.4.3-0.1, 1.4.2-2.3, 1.4.2-2.2.
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 15:03:03 +0100

festival (1:2.5.0-4) unstable; urgency=medium

  * debian/tests/control: Add missing festvox-kallpc16k dependency to fix test.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2019 09:00:22 +0200

festival (1:2.5.0-3) unstable; urgency=medium

  [ Sergio Oller ]
  * Set FORCE_SOURCE_DATE for a Reproducible build.

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * debian/tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Feb 2019 20:37:32 +0100

festival (1:2.5.0-2) unstable; urgency=medium

  * Fix text2wave resampling by resamping *before* counting the number of
    samples. (Closes: Bug#890018).
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 18:09:00 +0200

festival (1:2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Build-Depends on libestools-dev to prevent FTBFS
  * Enable hardening
  * Multiple minor improvements to the packaging

 -- Paul Gevers <elbrus@debian.org>  Thu, 18 Jan 2018 22:02:29 +0100

festival (1:2.4~release-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * Set maintainer to TTS team to make sure it is in our radar.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Drop libaudiofile-dev build-dep, now unused. (Closes: 857669)
  * festival.postinst: Pass --home /nonexistent to adduser.

  [ Sergio Oller ]
  * language.get_voices allows the use of language aliases. Closes LP: #1650237.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2017 19:38:08 +0100

festival (1:2.4~release-3) unstable; urgency=medium

  * rules: Simplify strip rule.
  * compat: Bump to 9.
  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).
  * control: Bump libestools-dev dependency version to fix build with gcc-6.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:32:24 +0200
