=== debian/control ===
Source: festival
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders:
 Jean-Philippe MENGUAL <texou@accelibreinfo.eu>,
 Kumar Appaiah <akumar@debian.org>,
 Jaldhar H. Vyas <jaldhar@debian.org>,
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), faketime,
               libestools-dev,
               libncurses5-dev,
               texinfo,
               texlive-latex-base,
               quilt
Standards-Version: 4.5.1
Homepage: https://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: https://salsa.debian.org/tts-team/festival.git
Vcs-Browser: https://salsa.debian.org/tts-team/festival
Rules-Requires-Root: no

Package: festival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         adduser,
         alsa-utils [linux-any],
         lsb-base
Recommends: festvox-kallpc16k | festival-voice
Suggests: pidgin-festival, festival-freebsoft-utils
Description: General multi-lingual speech synthesis system
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.

Package: festival-dev
Architecture: any
Depends: ${misc:Depends}, libestools-dev
Suggests: festival-doc
Section: libdevel
Description: Development kit for the Festival speech synthesis system
 This package contains the static library and headers that can be used to
 develop programs that use Festival. Documentation is now contained in the
 separate festival-doc package.

Package: festival-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Section: doc
Description: Documentation for Festival
 This package contains the HTML and Postscript versions of the
 documentation for Festival.
